Start workflow run
curl --request POST \
--url https://app.enzo.health/api/v1/workflowRuns/{publicId}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefilledVariables": {
"Input File": "https://example.com/file.txt"
},
"workflowExecutionId": "<string>"
}
'import requests
url = "https://app.enzo.health/api/v1/workflowRuns/{publicId}/start"
payload = {
"prefilledVariables": { "Input File": "https://example.com/file.txt" },
"workflowExecutionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prefilledVariables: {'Input File': 'https://example.com/file.txt'},
workflowExecutionId: '<string>'
})
};
fetch('https://app.enzo.health/api/v1/workflowRuns/{publicId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"workflow": {
"id": "<string>"
},
"workflowExecutionId": "<string>",
"logs": [
{
"status": "<string>",
"description": "<string>",
"details": "<unknown>"
}
],
"progress": 123,
"event": {
"id": "<string>",
"name": "<string>",
"payload": "<unknown>"
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Workflow Run
Start Workflow Run
POST
/
v1
/
workflowRuns
/
{publicId}
/
start
Start workflow run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
To save and use for /continue requests.
Show child attributes
Show child attributes
Logs that were saved during the last execution
Show child attributes
Show child attributes
If enabled, this field will return a number between 0 and 100 indicating the current progress based on the longest remaining path of the workflow run.
Show child attributes
Show child attributes